# enable_gtkdoc: Toggle if gtkdoc stuff should be rebuilt
#	0 = no
#	1 = yes
%define enable_gtkdoc	0

%define api_version	1.0
%define lib_major	0
%define pkgname		atk

%define lib_name	%mklibname %{pkgname} %{api_version} %{lib_major}
%define gir_name	%mklibname %{pkgname}-gir %{api_version}
%define develname	%mklibname -d %{pkgname} %{api_version}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		%{pkgname}%{api_version}
Version:	2.24.0
Release:	%mkrel 1
Summary:	Accessibility features for Gtk+
License:	LGPLv2+
Group:		Accessibility
Url:		http://developer.gnome.org/projects/gap/
Source0:	https://download.gnome.org/sources/%pkgname/%{url_ver}/%pkgname-%version.tar.xz
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.2
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
%if %{enable_gtkdoc}
BuildRequires:	gtk-doc
%endif
BuildRequires:	gobject-introspection-devel >= 0.9.6
# Bootstrap requirements
BuildRequires:	gtk-doc

%description
Accessibility means providing system infrastructure that allows add-on
assistive software to transparently provide specalized input and ouput
capabilities. For example, screen readers allow blind users to navigate
through applications, determine the state of controls, and read text via
text to speech conversion. On-screen keyboards replace physical
keyboards, and head-mounted pointers replace mice.

ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

%package common
Summary:	Data files used by atk
Group:		System/Libraries
BuildArch:	noarch

%description common
ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

This package contains data used by atk library.

%package -n %{lib_name}
Summary:	Accessibility features for Gtk+
Group:		System/Libraries
Requires:	common-licenses
Obsoletes:	%{pkgname} < %{version}
Obsoletes:	lib%{pkgname} < %{version}
Provides:	%{pkgname} = %{version}-%{release}
Provides:	lib%{pkgname} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name}-common >= %{version}-%{release}

%description -n %{lib_name}
Accessibility means providing system infrastructure that allows add-on
assistive software to transparently provide specalized input and ouput
capabilities. For example, screen readers allow blind users to navigate
through applications, determine the state of controls, and read text via
text to speech conversion. On-screen keyboards replace physical
keyboards, and head-mounted pointers replace mice.

%package -n %{gir_name}
Summary:	GObject introspection interface library for %{pkgname}
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gir_name}
GObject introspection interface library for %{pkgname}.

%package -n %{develname}
Summary:	Stuff for developing with atk
Group:		Development/C
Obsoletes:	%{pkgname}-devel < %{version}
Obsoletes:	lib%{pkgname}-devel < %{version}
Provides:	%{pkgname}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{gir_name} = %{version}

%description -n %develname
ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x --disable-static \
%if %{enable_gtkdoc}
	--enable-gtk-doc
%endif

%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%{find_lang} %{pkgname}10

%files common -f %{pkgname}10.lang
%doc README

%files -n %{lib_name}
%{_libdir}/libatk-%{api_version}.so.%{lib_major}
%{_libdir}/libatk-%{api_version}.so.%{lib_major}.*

%files -n %{gir_name}
%{_libdir}/girepository-1.0/Atk-%{api_version}.typelib

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/Atk-%{api_version}.gir


%changelog
* Tue Mar 21 2017 ovitters <ovitters> 2.24.0-1.mga6
+ Revision: 1094071
- new version 2.24.0

* Mon Sep 26 2016 tv <tv> 2.22.0-2.mga6
+ Revision: 1056830
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Mon Sep 19 2016 ovitters <ovitters> 2.22.0-1.mga6
+ Revision: 1054190
- new version 2.22.0

* Sun Sep 18 2016 ovitters <ovitters> 2.21.90-1.mga6
+ Revision: 1053812
- new version 2.21.90

* Sun Apr 17 2016 neoclust <neoclust> 2.20.0-4.mga6
+ Revision: 1003139
- Rebuild because of missing signature

* Mon Mar 21 2016 tv <tv> 2.20.0-3.mga6
+ Revision: 993689
- bump release

* Mon Mar 21 2016 tv <tv> 2.20.0-2.mga6
+ Revision: 993688
- bump release

  + ovitters <ovitters>
    - new version 2.20.0

* Tue Mar 15 2016 ovitters <ovitters> 2.19.92-1.mga6
+ Revision: 991084
- new version 2.19.92

* Wed Feb 10 2016 umeabot <umeabot> 2.18.0-2.mga6
+ Revision: 953110
- Mageia 6 Mass Rebuild

* Wed Sep 23 2015 fwang <fwang> 2.18.0-1.mga6
+ Revision: 882344
- 2.18.0

* Sun Jun 28 2015 wally <wally> 2.16.0-2.mga6
+ Revision: 846633
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 ovitters <ovitters> 2.16.0-1.mga6
+ Revision: 836905
- new version 2.16.0

* Wed Oct 15 2014 umeabot <umeabot> 2.14.0-3.mga5
+ Revision: 744314
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 2.14.0-2.mga5
+ Revision: 731106
- rebuild so that it picks typelib() requires

* Mon Sep 22 2014 ovitters <ovitters> 2.14.0-1.mga5
+ Revision: 719208
- new version 2.14.0

* Tue Sep 16 2014 umeabot <umeabot> 2.13.90-2.mga5
+ Revision: 678021
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 ovitters <ovitters> 2.13.90-1.mga5
+ Revision: 665587
- new version 2.13.90

* Tue Jul 15 2014 ovitters <ovitters> 2.13.3-1.mga5
+ Revision: 653046
- new version 2.13.3

* Wed May 28 2014 ovitters <ovitters> 2.13.2-1.mga5
+ Revision: 627089
- new version 2.13.2

* Mon Mar 24 2014 ovitters <ovitters> 2.12.0-1.mga5
+ Revision: 607996
- new version 2.12.0

* Mon Mar 17 2014 ovitters <ovitters> 2.11.92-1.mga5
+ Revision: 604473
- new version 2.11.92

* Tue Feb 18 2014 ovitters <ovitters> 2.11.90-1.mga5
+ Revision: 594414
- new version 2.11.90

* Wed Feb 05 2014 ovitters <ovitters> 2.11.6-1.mga5
+ Revision: 582840
- new version 2.11.6

* Sat Oct 19 2013 umeabot <umeabot> 2.10.0-2.mga4
+ Revision: 536498
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 2.10.0-1.mga4
+ Revision: 484395
- new version 2.10.0

* Wed Aug 21 2013 fwang <fwang> 2.9.4-2.mga4
+ Revision: 468717
- fix obsoletes

* Wed Aug 21 2013 fwang <fwang> 2.9.4-1.mga4
+ Revision: 468712
- new version 2.9.4

* Thu May 23 2013 tv <tv> 2.8.0-1.mga4
+ Revision: 425510
- new release

* Fri Jan 11 2013 umeabot <umeabot> 2.6.0-2.mga3
+ Revision: 346526
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 ovitters <ovitters> 2.6.0-1.mga3
+ Revision: 297191
- new version 2.6.0

* Mon Sep 03 2012 ovitters <ovitters> 2.5.91-1.mga3
+ Revision: 287715
- new version 2.5.91

* Tue Jul 17 2012 ovitters <ovitters> 2.5.4-1.mga3
+ Revision: 271631
- new version 2.5.4

* Tue Jun 26 2012 fwang <fwang> 2.5.3-1.mga3
+ Revision: 263807
- new version 2.5.3

* Mon Mar 26 2012 ovitters <ovitters> 2.4.0-1.mga2
+ Revision: 226860
- clean spec
- new version 2.4.0

* Tue Mar 20 2012 ovitters <ovitters> 2.3.95-1.mga2
+ Revision: 224543
- new version 2.3.95

* Fri Mar 09 2012 fwang <fwang> 2.3.93-1.mga2
+ Revision: 221995
- new version 2.3.93

* Tue Mar 06 2012 fwang <fwang> 2.3.91-1.mga2
+ Revision: 219592
- new version 2.3.91

* Tue Dec 20 2011 fwang <fwang> 2.3.3-1.mga2
+ Revision: 184688
- new version 2.3.3

* Tue Sep 27 2011 ovitters <ovitters> 2.2.0-1.mga2
+ Revision: 149067
- new version 2.2.0

* Tue Sep 20 2011 fwang <fwang> 2.1.92-1.mga2
+ Revision: 145834
- new version 2.1.92

* Tue Sep 13 2011 fwang <fwang> 2.1.91-2.mga2
+ Revision: 142870
- drop .la files

* Tue Sep 06 2011 fwang <fwang> 2.1.91-1.mga2
+ Revision: 139033
- new version 2.1.91
- new version 2.1.0

  + wally <wally>
    - new version 2.1.5
    - clean .spec a bit

* Thu Jul 07 2011 cjw <cjw> 2.0.1-2.mga2
+ Revision: 119557
- rebuild for automatic gobject introspection typelib provides
- put typelib in a separate subpackage

* Mon Jun 13 2011 dmorgan <dmorgan> 2.0.1-1.mga2
+ Revision: 105857
- New version 2.0.1

* Fri Jun 10 2011 dmorgan <dmorgan> 2.0.0-4.mga2
+ Revision: 103203
- Readd .la files, this is too early to remove them

* Thu Jun 09 2011 dmorgan <dmorgan> 2.0.0-3.mga2
+ Revision: 102539
- Try to remove la files again

* Thu Jun 09 2011 dmorgan <dmorgan> 2.0.0-2.mga2
+ Revision: 102423
- Add back .la files for now

* Thu Jun 09 2011 dmorgan <dmorgan> 2.0.0-1.mga2
+ Revision: 102140
- New version 2.0.0

* Tue Jan 11 2011 blino <blino> 1.32.0-2.mga1
+ Revision: 5718
- remove old conflicts/obsoletes and ldconfig scriptlets
- imported package atk1.0


* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 1.32.0-1mdv2011.0
+ Revision: 581215
- update to new version 1.32.0

* Sun Sep 12 2010 Götz Waschk <waschk@mandriva.org> 1.30.0-3mdv2011.0
+ Revision: 577623
- rebuild for new g-i

* Thu Jul 29 2010 Götz Waschk <waschk@mandriva.org> 1.30.0-2mdv2011.0
+ Revision: 563161
- rebuild for new gobject-introspection

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 1.30.0-1mdv2010.1
+ Revision: 528955
- update to new version 1.30.0

* Mon Mar 08 2010 Götz Waschk <waschk@mandriva.org> 1.29.92-1mdv2010.1
+ Revision: 515777
- update to new version 1.29.92

* Mon Dec 21 2009 Götz Waschk <waschk@mandriva.org> 1.29.4-1mdv2010.1
+ Revision: 480556
- new version
- disable gtk-doc (b.g.o #605113)
- enable introspection

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 1.29.3-1mdv2010.1
+ Revision: 475370
- update to new version 1.29.3

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 1.28.0-1mdv2010.0
+ Revision: 447188
- update to new version 1.28.0

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 1.27.90-1mdv2010.0
+ Revision: 414195
- update to new version 1.27.90

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.26.0-2mdv2010.0
+ Revision: 413120
- rebuild

  + Götz Waschk <waschk@mandriva.org>
    - reenable gtk-doc

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 1.26.0-1mdv2009.1
+ Revision: 355933
- new version
- disable gtk-doc

* Mon Dec 01 2008 Götz Waschk <waschk@mandriva.org> 1.25.2-1mdv2009.1
+ Revision: 308752
- update to new version 1.25.2

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 1.24.0-1mdv2009.0
+ Revision: 286524
- new version
- update license

* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 1.23.5-1mdv2009.0
+ Revision: 239327
- new version

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.22.0-2mdv2009.0
+ Revision: 220465
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 1.22.0-1mdv2008.1
+ Revision: 183403
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 1.21.92-1mdv2008.1
+ Revision: 174634
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-not-capitalized

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 1.21.5-1mdv2008.1
+ Revision: 151191
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 1.20.0-1mdv2008.0
+ Revision: 88985
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 1.19.6-1mdv2008.0
+ Revision: 56491
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.19.3-3mdv2008.0
+ Revision: 36140
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.18.0-1mdv2007.1
+ Revision: 141738
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 1.17.0-1mdv2007.1
+ Revision: 118936
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 1.13.2-1mdv2007.1
+ Revision: 111821
- new version

* Sat Jan 13 2007 Anssi Hannula <anssi@mandriva.org> 1.13.1-3mdv2007.1
+ Revision: 108174
- make atk1.0-common conflict old 32-bit libpkg on 64-bit as well

* Tue Jan 09 2007 Frederic Crozat <fcrozat@mandriva.com> 1.13.1-2mdv2007.1
+ Revision: 106620
- Fix libification

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 1.13.1-1mdv2007.1
+ Revision: 106043
- new version

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 1.13.0-1mdv2007.1
+ Revision: 105992
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 1.12.4-1mdv2007.1
+ Revision: 98484
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 1.12.3-3mdv2006.0
+ Revision: 63815
- rebuild
- rebuild
- Import atk1.0

* Wed Oct 04 2006 Götz Waschk <waschk@mandriva.org> 1.12.3-1mdv2007.0
- New version 1.12.3

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 1.12.2-1mdv2007.0
- New release 1.12.2

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 1.12.1-1
- New release 1.12.1

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 1.12.1-1mdk
- New release 1.12.1

* Tue Apr 11 2006 Frederic Crozat <fcrozat@mandriva.com> 1.11.4-1mdk
- Release 1.11.4

* Thu Feb 23 2006 Frederic Crozat <fcrozat@mandriva.com> 1.10.3-3mdk
- use mkrel

* Fri Jan 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1.10.3-2mdk
- Rebuild for debug package

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.3-1mdk
- Release 1.10.3

* Sat Apr 30 2005 Gtz Waschk <waschk@mandriva.org> 1.10.1-1mdk
- make it rpmbuildupdatable
- new version

* Tue Mar 08 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.9.1-1mdk
- new version

* Mon Mar 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.9.0-1mdk
- bump glib dep
- drop patch 0
- new version

* Thu Oct 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-1mdk
- New release 1.8.0
- Patch0 (Fedora): fix Tamil translation

* Fri Sep 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.1-2mdk
- Enable libtoolize

* Tue Apr 20 2004 Goetz Waschk <goetz@mandrakesoft.com> 1.6.1-1mdk
- New release 1.6.1

* Sat Apr 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> -1mdk
- Release 1.6.0 (with Gtz Waschk help)

